summaryrefslogtreecommitdiff
path: root/functions/conffile.sh
diff options
context:
space:
mode:
Diffstat (limited to 'functions/conffile.sh')
-rwxr-xr-xfunctions/conffile.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/functions/conffile.sh b/functions/conffile.sh
new file mode 100755
index 0000000..5df00d3
--- /dev/null
+++ b/functions/conffile.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+# conffile.sh - handle configuration files
+
+set -e
+
+Read_conffile ()
+{
+ CONFFILE="${1}"
+
+ # Reading configuration file
+ if [ -r "${CONFFILE}" ]
+ then
+ . "${CONFFILE}"
+ fi
+}